declare module 'convert-units' {
  export interface Unit {
    abbr: string;
    measure: string;
    system: string;
    singular: string;
    plural: string;
  }

  export interface Converter {
    from(unit: string): {
      to(toUnit: string): number;
      toBest(options?: { exclude?: string[]; cutOffNumber?: number }): {
        val: number;
        unit: string;
        singular: string;
        plural: string;
      };
      getUnit(): Unit;
      possibilities(): string[];
    };
    measures(): string[];
    possibilities(measure?: string): string[];
    describe(unit: string): Unit;
  }

  function convert(value?: number): Converter;

  export default convert;
}
